# Workflows

## List Workflows

> Get a list of all Workflows

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Workflows.ListWorkflowAPIResponse":{"type":"object","required":["data","meta"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.WorkflowAPIResponse"}},"meta":{"type":"object","properties":{"total_count":{"type":"integer","format":"int32"},"acl":{"type":"object","unevaluatedProperties":{"$ref":"#/components/schemas/V3.Workflows.EntityOwnerBasedACL"}}},"required":["total_count"]}}},"V3.Workflows.WorkflowAPIResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Workflows.WorkflowAPI"}]},"V3.Workflows.WorkflowAPI":{"type":"object","required":["id","owner_id","title","description","enabled","trigger","tags","actions","created_at","created_by"],"properties":{"id":{"type":"integer","format":"int32"},"owner_id":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"enabled":{"type":"boolean"},"trigger":{"type":"string"},"filters":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.Tag"}},"actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ActionResponse"}},"created_at":{"type":"string"},"created_by":{"type":"string"},"updated_at":{"type":"string"},"updated_by":{"type":"string"}}},"V3.Workflows.WorkflowFilters":{"type":"object","properties":{"type":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"},"condition":{"type":"string","enum":["and","or"]},"filters":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"}}}},"V3.Workflows.Tag":{"type":"object","properties":{"color":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"}}},"V3.Workflows.ActionResponse":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.RunbookResponse"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]},"V3.Workflows.RunbookResponse":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Workflows.BaseAction":{"type":"object","required":["name"],"properties":{"name":{"type":"string"}},"discriminator":{"propertyName":"name","mapping":{"sq_mark_incident_slo_affecting":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting","sq_trigger_manual_webhook":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook","sq_update_incident_priority":"#/components/schemas/V3.Workflows.UpdateIncidentPriority","sq_add_status_page_issue":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue","sq_add_incident_note":"#/components/schemas/V3.Workflows.SqAddIncidentNote","slack_archive_channel":"#/components/schemas/V3.Workflows.SlackArchiveChannel","sq_add_communication_channel":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel","slack_message_channel":"#/components/schemas/V3.Workflows.SlackMessageChannel","slack_message_user":"#/components/schemas/V3.Workflows.SlackMessageUser","sq_make_http_call":"#/components/schemas/V3.Workflows.SqMakeHTTPCall","slack_create_incident_channel":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel","jira_create_ticket":"#/components/schemas/V3.Workflows.JiraCreateTicket","msteams_message_channel":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel","msteams_message_user":"#/components/schemas/V3.Workflows.MsTeamsMessageUser","sq_send_email":"#/components/schemas/V3.Workflows.SqSendEmail","msteams_create_meeting_link":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"}}},"V3.Workflows.SqMarkIncidentSLOAffecting":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_mark_incident_slo_affecting"]},"data":{"type":"object","properties":{"slis":{"type":"array","items":{"type":"string"}},"slo":{"type":"integer","format":"int32"}},"required":["slis","slo"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqTriggerManualWebhook":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_trigger_manual_webhook"]},"data":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.UpdateIncidentPriority":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_update_incident_priority"]},"data":{"type":"object","properties":{"priority":{"type":"string","enum":["P1","P2","P3","P4","P5","UNSET"]}},"required":["priority"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqCreateStatusPageIssue":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_status_page_issue"]},"data":{"type":"object","properties":{"component_and_impact":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ComponentAndImpact"}},"issue_title":{"type":"string"},"page_status_id":{"type":"integer","format":"int32"},"status_and_message":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.IssueStatusAndMessage"}},"status_page_id":{"type":"integer","format":"int32"}},"required":["component_and_impact","issue_title","page_status_id","status_and_message","status_page_id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.ComponentAndImpact":{"type":"object","required":["component_id","impact_status_id"],"properties":{"component_id":{"type":"integer","format":"int32"},"impact_status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.IssueStatusAndMessage":{"type":"object","required":["messages","status_id"],"properties":{"messages":{"type":"array","items":{"type":"string"}},"status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.SqAddIncidentNote":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_incident_note"]},"data":{"type":"object","properties":{"note":{"type":"string"}},"required":["note"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackArchiveChannel":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["slack_archive_channel"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqAddCommunicationChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_communication_channel"]},"data":{"type":"object","properties":{"channels":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.CommunicationChannel"}}},"required":["channels"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.CommunicationChannel":{"type":"object","required":["display_text","link","type"],"properties":{"display_text":{"type":"string"},"link":{"type":"string"},"type":{"type":"string","enum":["chat_room","video_conference","other"]}}},"V3.Workflows.SlackMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"channel_name":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","channel_name","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqMakeHTTPCall":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_make_http_call"]},"data":{"type":"object","properties":{"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"url":{"type":"string"},"headers":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]}},"body":{"type":"string"}},"required":["method","url"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackCreateIncidentChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_create_incident_channel"]},"data":{"type":"object","properties":{"auto_name":{"type":"boolean"},"channel_name":{"type":"string"}},"required":["auto_name"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.JiraCreateTicket":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["jira_create_ticket"]},"data":{"type":"object","properties":{"account":{"type":"string"},"project":{"type":"string"},"issue_type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["account","project","issue_type","title","description"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqSendEmail":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_send_email"]},"data":{"type":"object","properties":{"to":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"body":{"type":"string"}},"required":["to","subject","body"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsCreateMeetingLink":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["msteams_create_meeting_link"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.EntityOwnerBasedACL":{"type":"object","required":["has_update_access","has_update_owner_access","has_delete_access"],"properties":{"has_update_access":{"type":"boolean"},"has_update_owner_access":{"type":"boolean"},"has_delete_access":{"type":"boolean"}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/workflows":{"get":{"operationId":"Workflows_listWorkflows","summary":"List Workflows","description":"Get a list of all Workflows","parameters":[{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"},"explode":false},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer"},"explode":false},{"name":"page_number","in":"query","required":false,"schema":{"type":"integer"},"explode":false},{"name":"search","in":"query","required":false,"schema":{"type":"string"},"explode":false},{"name":"event","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},{"name":"actions","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},{"name":"owner","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},{"name":"created_by","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},{"name":"updated_by","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"explode":false},{"name":"enabled","in":"query","required":false,"schema":{"type":"string"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.ListWorkflowAPIResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"]}}}}
```

## Create Workflow

> Create a Workflow

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Workflows.WorkflowAPIResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Workflows.WorkflowAPI"}]},"V3.Workflows.WorkflowAPI":{"type":"object","required":["id","owner_id","title","description","enabled","trigger","tags","actions","created_at","created_by"],"properties":{"id":{"type":"integer","format":"int32"},"owner_id":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"enabled":{"type":"boolean"},"trigger":{"type":"string"},"filters":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.Tag"}},"actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ActionResponse"}},"created_at":{"type":"string"},"created_by":{"type":"string"},"updated_at":{"type":"string"},"updated_by":{"type":"string"}}},"V3.Workflows.WorkflowFilters":{"type":"object","properties":{"type":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"},"condition":{"type":"string","enum":["and","or"]},"filters":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"}}}},"V3.Workflows.Tag":{"type":"object","properties":{"color":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"}}},"V3.Workflows.ActionResponse":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.RunbookResponse"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]},"V3.Workflows.RunbookResponse":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Workflows.BaseAction":{"type":"object","required":["name"],"properties":{"name":{"type":"string"}},"discriminator":{"propertyName":"name","mapping":{"sq_mark_incident_slo_affecting":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting","sq_trigger_manual_webhook":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook","sq_update_incident_priority":"#/components/schemas/V3.Workflows.UpdateIncidentPriority","sq_add_status_page_issue":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue","sq_add_incident_note":"#/components/schemas/V3.Workflows.SqAddIncidentNote","slack_archive_channel":"#/components/schemas/V3.Workflows.SlackArchiveChannel","sq_add_communication_channel":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel","slack_message_channel":"#/components/schemas/V3.Workflows.SlackMessageChannel","slack_message_user":"#/components/schemas/V3.Workflows.SlackMessageUser","sq_make_http_call":"#/components/schemas/V3.Workflows.SqMakeHTTPCall","slack_create_incident_channel":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel","jira_create_ticket":"#/components/schemas/V3.Workflows.JiraCreateTicket","msteams_message_channel":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel","msteams_message_user":"#/components/schemas/V3.Workflows.MsTeamsMessageUser","sq_send_email":"#/components/schemas/V3.Workflows.SqSendEmail","msteams_create_meeting_link":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"}}},"V3.Workflows.SqMarkIncidentSLOAffecting":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_mark_incident_slo_affecting"]},"data":{"type":"object","properties":{"slis":{"type":"array","items":{"type":"string"}},"slo":{"type":"integer","format":"int32"}},"required":["slis","slo"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqTriggerManualWebhook":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_trigger_manual_webhook"]},"data":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.UpdateIncidentPriority":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_update_incident_priority"]},"data":{"type":"object","properties":{"priority":{"type":"string","enum":["P1","P2","P3","P4","P5","UNSET"]}},"required":["priority"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqCreateStatusPageIssue":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_status_page_issue"]},"data":{"type":"object","properties":{"component_and_impact":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ComponentAndImpact"}},"issue_title":{"type":"string"},"page_status_id":{"type":"integer","format":"int32"},"status_and_message":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.IssueStatusAndMessage"}},"status_page_id":{"type":"integer","format":"int32"}},"required":["component_and_impact","issue_title","page_status_id","status_and_message","status_page_id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.ComponentAndImpact":{"type":"object","required":["component_id","impact_status_id"],"properties":{"component_id":{"type":"integer","format":"int32"},"impact_status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.IssueStatusAndMessage":{"type":"object","required":["messages","status_id"],"properties":{"messages":{"type":"array","items":{"type":"string"}},"status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.SqAddIncidentNote":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_incident_note"]},"data":{"type":"object","properties":{"note":{"type":"string"}},"required":["note"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackArchiveChannel":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["slack_archive_channel"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqAddCommunicationChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_communication_channel"]},"data":{"type":"object","properties":{"channels":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.CommunicationChannel"}}},"required":["channels"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.CommunicationChannel":{"type":"object","required":["display_text","link","type"],"properties":{"display_text":{"type":"string"},"link":{"type":"string"},"type":{"type":"string","enum":["chat_room","video_conference","other"]}}},"V3.Workflows.SlackMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"channel_name":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","channel_name","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqMakeHTTPCall":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_make_http_call"]},"data":{"type":"object","properties":{"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"url":{"type":"string"},"headers":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]}},"body":{"type":"string"}},"required":["method","url"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackCreateIncidentChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_create_incident_channel"]},"data":{"type":"object","properties":{"auto_name":{"type":"boolean"},"channel_name":{"type":"string"}},"required":["auto_name"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.JiraCreateTicket":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["jira_create_ticket"]},"data":{"type":"object","properties":{"account":{"type":"string"},"project":{"type":"string"},"issue_type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["account","project","issue_type","title","description"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqSendEmail":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_send_email"]},"data":{"type":"object","properties":{"to":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"body":{"type":"string"}},"required":["to","subject","body"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsCreateMeetingLink":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["msteams_create_meeting_link"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Workflows.CreateWorkflowRequest":{"type":"object","required":["title","owner_id","trigger","filters","actions"],"properties":{"title":{"type":"string"},"description":{"type":"string"},"owner_id":{"type":"string"},"owner_type":{"type":"string","enum":["user","squad"]},"entity_owner":{"$ref":"#/components/schemas/V3.Workflows.EntityOwner"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.Tag"}},"trigger":{"$ref":"#/components/schemas/V3.Workflows.WorkflowTrigger"},"filters":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowFilter"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ActionRequest"}},"enabled":{"type":"boolean"}}},"V3.Workflows.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string"}}},"V3.Workflows.WorkflowTrigger":{"type":"string","enum":["incident_triggered","incident_acknowledged","incident_resolved","incident_reassigned","incident_tag_updated","incident_priority_updated","incident_note_added"]},"V3.Workflows.CreateWorkflowFilter":{"type":"object","properties":{"type":{"type":"string"},"key":{"type":"string"},"value":{},"fields":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowFilter"},"children":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowFilter"}},"label":{"type":"string"},"entity":{"type":"object","unevaluatedProperties":{}},"filterType":{"type":"string"}}},"V3.Workflows.ActionRequest":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"type":"string"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]}}},"paths":{"/v3/workflows":{"post":{"operationId":"Workflows_createWorkflow","summary":"Create Workflow","description":"Create a Workflow","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Workflows.WorkflowAPIResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowRequest"}}}}}}}}
```

## Bulk Enable/Disable Workflows

> Bulk enable or disable workflows

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Workflows.BulkEnableDisableWorkflowsRequest":{"type":"object","required":["owner_id","enabled","workflow_ids"],"properties":{"owner_id":{"type":"string"},"enabled":{"type":"boolean"},"workflow_ids":{"type":"array","items":{"type":"integer","format":"int32"}}}}}},"paths":{"/v3/workflows/enable":{"put":{"operationId":"Workflows_bulkEnabledisableWorkflows","summary":"Bulk Enable/Disable Workflows","description":"Bulk enable or disable workflows","parameters":[],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.BulkEnableDisableWorkflowsRequest"}}}}}}}}
```

## Get Workflow By ID

> Get a workflow by ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Workflows.GetWorkflowByIdResponse":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Workflows.WorkflowAPIResponse"}}},"V3.Workflows.WorkflowAPIResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Workflows.WorkflowAPI"}]},"V3.Workflows.WorkflowAPI":{"type":"object","required":["id","owner_id","title","description","enabled","trigger","tags","actions","created_at","created_by"],"properties":{"id":{"type":"integer","format":"int32"},"owner_id":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"enabled":{"type":"boolean"},"trigger":{"type":"string"},"filters":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.Tag"}},"actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ActionResponse"}},"created_at":{"type":"string"},"created_by":{"type":"string"},"updated_at":{"type":"string"},"updated_by":{"type":"string"}}},"V3.Workflows.WorkflowFilters":{"type":"object","properties":{"type":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"},"condition":{"type":"string","enum":["and","or"]},"filters":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"}}}},"V3.Workflows.Tag":{"type":"object","properties":{"color":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"}}},"V3.Workflows.ActionResponse":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.RunbookResponse"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]},"V3.Workflows.RunbookResponse":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Workflows.BaseAction":{"type":"object","required":["name"],"properties":{"name":{"type":"string"}},"discriminator":{"propertyName":"name","mapping":{"sq_mark_incident_slo_affecting":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting","sq_trigger_manual_webhook":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook","sq_update_incident_priority":"#/components/schemas/V3.Workflows.UpdateIncidentPriority","sq_add_status_page_issue":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue","sq_add_incident_note":"#/components/schemas/V3.Workflows.SqAddIncidentNote","slack_archive_channel":"#/components/schemas/V3.Workflows.SlackArchiveChannel","sq_add_communication_channel":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel","slack_message_channel":"#/components/schemas/V3.Workflows.SlackMessageChannel","slack_message_user":"#/components/schemas/V3.Workflows.SlackMessageUser","sq_make_http_call":"#/components/schemas/V3.Workflows.SqMakeHTTPCall","slack_create_incident_channel":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel","jira_create_ticket":"#/components/schemas/V3.Workflows.JiraCreateTicket","msteams_message_channel":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel","msteams_message_user":"#/components/schemas/V3.Workflows.MsTeamsMessageUser","sq_send_email":"#/components/schemas/V3.Workflows.SqSendEmail","msteams_create_meeting_link":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"}}},"V3.Workflows.SqMarkIncidentSLOAffecting":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_mark_incident_slo_affecting"]},"data":{"type":"object","properties":{"slis":{"type":"array","items":{"type":"string"}},"slo":{"type":"integer","format":"int32"}},"required":["slis","slo"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqTriggerManualWebhook":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_trigger_manual_webhook"]},"data":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.UpdateIncidentPriority":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_update_incident_priority"]},"data":{"type":"object","properties":{"priority":{"type":"string","enum":["P1","P2","P3","P4","P5","UNSET"]}},"required":["priority"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqCreateStatusPageIssue":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_status_page_issue"]},"data":{"type":"object","properties":{"component_and_impact":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ComponentAndImpact"}},"issue_title":{"type":"string"},"page_status_id":{"type":"integer","format":"int32"},"status_and_message":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.IssueStatusAndMessage"}},"status_page_id":{"type":"integer","format":"int32"}},"required":["component_and_impact","issue_title","page_status_id","status_and_message","status_page_id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.ComponentAndImpact":{"type":"object","required":["component_id","impact_status_id"],"properties":{"component_id":{"type":"integer","format":"int32"},"impact_status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.IssueStatusAndMessage":{"type":"object","required":["messages","status_id"],"properties":{"messages":{"type":"array","items":{"type":"string"}},"status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.SqAddIncidentNote":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_incident_note"]},"data":{"type":"object","properties":{"note":{"type":"string"}},"required":["note"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackArchiveChannel":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["slack_archive_channel"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqAddCommunicationChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_communication_channel"]},"data":{"type":"object","properties":{"channels":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.CommunicationChannel"}}},"required":["channels"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.CommunicationChannel":{"type":"object","required":["display_text","link","type"],"properties":{"display_text":{"type":"string"},"link":{"type":"string"},"type":{"type":"string","enum":["chat_room","video_conference","other"]}}},"V3.Workflows.SlackMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"channel_name":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","channel_name","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqMakeHTTPCall":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_make_http_call"]},"data":{"type":"object","properties":{"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"url":{"type":"string"},"headers":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]}},"body":{"type":"string"}},"required":["method","url"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackCreateIncidentChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_create_incident_channel"]},"data":{"type":"object","properties":{"auto_name":{"type":"boolean"},"channel_name":{"type":"string"}},"required":["auto_name"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.JiraCreateTicket":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["jira_create_ticket"]},"data":{"type":"object","properties":{"account":{"type":"string"},"project":{"type":"string"},"issue_type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["account","project","issue_type","title","description"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqSendEmail":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_send_email"]},"data":{"type":"object","properties":{"to":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"body":{"type":"string"}},"required":["to","subject","body"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsCreateMeetingLink":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["msteams_create_meeting_link"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/workflows/{workflowID}":{"get":{"operationId":"Workflows_getWorkflowById","summary":"Get Workflow By ID","description":"Get a workflow by ID","parameters":[{"name":"workflowID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.GetWorkflowByIdResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"]}}}}
```

## Delete Workflow

> Delete a workflow by ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/workflows/{workflowID}":{"delete":{"operationId":"Workflows_deleteWorkflow","summary":"Delete Workflow","description":"Delete a workflow by ID","parameters":[{"name":"workflowID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"]}}}}
```

## Update Workflow

> Update a Workflow

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Workflows.UpdateWorkflowAPIResponse":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"owner_id":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"enabled":{"type":"boolean"},"trigger":{"type":"string"},"filters":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.Tag"}},"actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ActionResponse"}},"created_at":{"type":"string"},"created_by":{"type":"string"},"updated_at":{"type":"string"},"updated_by":{"type":"string"}}},"V3.Workflows.WorkflowFilters":{"type":"object","properties":{"type":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"},"condition":{"type":"string","enum":["and","or"]},"filters":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.WorkflowFilters"}}}},"V3.Workflows.Tag":{"type":"object","properties":{"color":{"type":"string"},"key":{"type":"string"},"value":{"type":"string"}}},"V3.Workflows.ActionResponse":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.RunbookResponse"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]},"V3.Workflows.RunbookResponse":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Workflows.BaseAction":{"type":"object","required":["name"],"properties":{"name":{"type":"string"}},"discriminator":{"propertyName":"name","mapping":{"sq_mark_incident_slo_affecting":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting","sq_trigger_manual_webhook":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook","sq_update_incident_priority":"#/components/schemas/V3.Workflows.UpdateIncidentPriority","sq_add_status_page_issue":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue","sq_add_incident_note":"#/components/schemas/V3.Workflows.SqAddIncidentNote","slack_archive_channel":"#/components/schemas/V3.Workflows.SlackArchiveChannel","sq_add_communication_channel":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel","slack_message_channel":"#/components/schemas/V3.Workflows.SlackMessageChannel","slack_message_user":"#/components/schemas/V3.Workflows.SlackMessageUser","sq_make_http_call":"#/components/schemas/V3.Workflows.SqMakeHTTPCall","slack_create_incident_channel":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel","jira_create_ticket":"#/components/schemas/V3.Workflows.JiraCreateTicket","msteams_message_channel":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel","msteams_message_user":"#/components/schemas/V3.Workflows.MsTeamsMessageUser","sq_send_email":"#/components/schemas/V3.Workflows.SqSendEmail","msteams_create_meeting_link":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"}}},"V3.Workflows.SqMarkIncidentSLOAffecting":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_mark_incident_slo_affecting"]},"data":{"type":"object","properties":{"slis":{"type":"array","items":{"type":"string"}},"slo":{"type":"integer","format":"int32"}},"required":["slis","slo"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqTriggerManualWebhook":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_trigger_manual_webhook"]},"data":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.UpdateIncidentPriority":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_update_incident_priority"]},"data":{"type":"object","properties":{"priority":{"type":"string","enum":["P1","P2","P3","P4","P5","UNSET"]}},"required":["priority"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqCreateStatusPageIssue":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_status_page_issue"]},"data":{"type":"object","properties":{"component_and_impact":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ComponentAndImpact"}},"issue_title":{"type":"string"},"page_status_id":{"type":"integer","format":"int32"},"status_and_message":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.IssueStatusAndMessage"}},"status_page_id":{"type":"integer","format":"int32"}},"required":["component_and_impact","issue_title","page_status_id","status_and_message","status_page_id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.ComponentAndImpact":{"type":"object","required":["component_id","impact_status_id"],"properties":{"component_id":{"type":"integer","format":"int32"},"impact_status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.IssueStatusAndMessage":{"type":"object","required":["messages","status_id"],"properties":{"messages":{"type":"array","items":{"type":"string"}},"status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.SqAddIncidentNote":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_incident_note"]},"data":{"type":"object","properties":{"note":{"type":"string"}},"required":["note"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackArchiveChannel":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["slack_archive_channel"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqAddCommunicationChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_communication_channel"]},"data":{"type":"object","properties":{"channels":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.CommunicationChannel"}}},"required":["channels"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.CommunicationChannel":{"type":"object","required":["display_text","link","type"],"properties":{"display_text":{"type":"string"},"link":{"type":"string"},"type":{"type":"string","enum":["chat_room","video_conference","other"]}}},"V3.Workflows.SlackMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"channel_name":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","channel_name","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqMakeHTTPCall":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_make_http_call"]},"data":{"type":"object","properties":{"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"url":{"type":"string"},"headers":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]}},"body":{"type":"string"}},"required":["method","url"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackCreateIncidentChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_create_incident_channel"]},"data":{"type":"object","properties":{"auto_name":{"type":"boolean"},"channel_name":{"type":"string"}},"required":["auto_name"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.JiraCreateTicket":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["jira_create_ticket"]},"data":{"type":"object","properties":{"account":{"type":"string"},"project":{"type":"string"},"issue_type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["account","project","issue_type","title","description"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqSendEmail":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_send_email"]},"data":{"type":"object","properties":{"to":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"body":{"type":"string"}},"required":["to","subject","body"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsCreateMeetingLink":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["msteams_create_meeting_link"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Workflows.CreateWorkflowRequestUpdate":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"owner_id":{"type":"string"},"owner_type":{"type":"string","enum":["user","squad"]},"entity_owner":{"$ref":"#/components/schemas/V3.Workflows.EntityOwnerUpdate"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.Tag"}},"trigger":{"$ref":"#/components/schemas/V3.Workflows.WorkflowTrigger"},"filters":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowFilter"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ActionRequest"}},"enabled":{"type":"boolean"}}},"V3.Workflows.EntityOwnerUpdate":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}},"V3.Workflows.WorkflowTrigger":{"type":"string","enum":["incident_triggered","incident_acknowledged","incident_resolved","incident_reassigned","incident_tag_updated","incident_priority_updated","incident_note_added"]},"V3.Workflows.CreateWorkflowFilter":{"type":"object","properties":{"type":{"type":"string"},"key":{"type":"string"},"value":{},"fields":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowFilter"},"children":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowFilter"}},"label":{"type":"string"},"entity":{"type":"object","unevaluatedProperties":{}},"filterType":{"type":"string"}}},"V3.Workflows.ActionRequest":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"type":"string"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]}}},"paths":{"/v3/workflows/{workflowID}":{"patch":{"operationId":"Workflows_updateWorkflow","summary":"Update Workflow","description":"Update a Workflow","parameters":[{"name":"workflowID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Workflows.UpdateWorkflowAPIResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.CreateWorkflowRequestUpdate"}}}}}}}}
```

## Create Action

> Create an Action for a workflow

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Workflows.ActionResponse":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.RunbookResponse"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]},"V3.Workflows.RunbookResponse":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Workflows.BaseAction":{"type":"object","required":["name"],"properties":{"name":{"type":"string"}},"discriminator":{"propertyName":"name","mapping":{"sq_mark_incident_slo_affecting":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting","sq_trigger_manual_webhook":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook","sq_update_incident_priority":"#/components/schemas/V3.Workflows.UpdateIncidentPriority","sq_add_status_page_issue":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue","sq_add_incident_note":"#/components/schemas/V3.Workflows.SqAddIncidentNote","slack_archive_channel":"#/components/schemas/V3.Workflows.SlackArchiveChannel","sq_add_communication_channel":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel","slack_message_channel":"#/components/schemas/V3.Workflows.SlackMessageChannel","slack_message_user":"#/components/schemas/V3.Workflows.SlackMessageUser","sq_make_http_call":"#/components/schemas/V3.Workflows.SqMakeHTTPCall","slack_create_incident_channel":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel","jira_create_ticket":"#/components/schemas/V3.Workflows.JiraCreateTicket","msteams_message_channel":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel","msteams_message_user":"#/components/schemas/V3.Workflows.MsTeamsMessageUser","sq_send_email":"#/components/schemas/V3.Workflows.SqSendEmail","msteams_create_meeting_link":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"}}},"V3.Workflows.SqMarkIncidentSLOAffecting":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_mark_incident_slo_affecting"]},"data":{"type":"object","properties":{"slis":{"type":"array","items":{"type":"string"}},"slo":{"type":"integer","format":"int32"}},"required":["slis","slo"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqTriggerManualWebhook":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_trigger_manual_webhook"]},"data":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.UpdateIncidentPriority":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_update_incident_priority"]},"data":{"type":"object","properties":{"priority":{"type":"string","enum":["P1","P2","P3","P4","P5","UNSET"]}},"required":["priority"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqCreateStatusPageIssue":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_status_page_issue"]},"data":{"type":"object","properties":{"component_and_impact":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.ComponentAndImpact"}},"issue_title":{"type":"string"},"page_status_id":{"type":"integer","format":"int32"},"status_and_message":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.IssueStatusAndMessage"}},"status_page_id":{"type":"integer","format":"int32"}},"required":["component_and_impact","issue_title","page_status_id","status_and_message","status_page_id"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.ComponentAndImpact":{"type":"object","required":["component_id","impact_status_id"],"properties":{"component_id":{"type":"integer","format":"int32"},"impact_status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.IssueStatusAndMessage":{"type":"object","required":["messages","status_id"],"properties":{"messages":{"type":"array","items":{"type":"string"}},"status_id":{"type":"integer","format":"int32"}}},"V3.Workflows.SqAddIncidentNote":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_incident_note"]},"data":{"type":"object","properties":{"note":{"type":"string"}},"required":["note"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackArchiveChannel":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["slack_archive_channel"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqAddCommunicationChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_add_communication_channel"]},"data":{"type":"object","properties":{"channels":{"type":"array","items":{"$ref":"#/components/schemas/V3.Workflows.CommunicationChannel"}}},"required":["channels"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.CommunicationChannel":{"type":"object","required":["display_text","link","type"],"properties":{"display_text":{"type":"string"},"link":{"type":"string"},"type":{"type":"string","enum":["chat_room","video_conference","other"]}}},"V3.Workflows.SlackMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"channel_name":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","channel_name","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqMakeHTTPCall":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_make_http_call"]},"data":{"type":"object","properties":{"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"url":{"type":"string"},"headers":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]}},"body":{"type":"string"}},"required":["method","url"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SlackCreateIncidentChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["slack_create_incident_channel"]},"data":{"type":"object","properties":{"auto_name":{"type":"boolean"},"channel_name":{"type":"string"}},"required":["auto_name"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.JiraCreateTicket":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["jira_create_ticket"]},"data":{"type":"object","properties":{"account":{"type":"string"},"project":{"type":"string"},"issue_type":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}},"required":["account","project","issue_type","title","description"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageChannel":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_channel"]},"data":{"type":"object","properties":{"channel_id":{"type":"string"},"message":{"type":"string"}},"required":["channel_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsMessageUser":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["msteams_message_user"]},"data":{"type":"object","properties":{"member_id":{"type":"string"},"message":{"type":"string"}},"required":["member_id","message"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.SqSendEmail":{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_send_email"]},"data":{"type":"object","properties":{"to":{"type":"array","items":{"type":"string"}},"subject":{"type":"string"},"body":{"type":"string"}},"required":["to","subject","body"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"V3.Workflows.MsTeamsCreateMeetingLink":{"type":"object","required":["name"],"properties":{"name":{"type":"string","enum":["msteams_create_meeting_link"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Workflows.ActionRequest":{"anyOf":[{"type":"object","required":["name","data"],"properties":{"name":{"type":"string","enum":["sq_attach_runbooks"]},"data":{"type":"object","properties":{"runbooks":{"type":"array","items":{"type":"string"}}},"required":["runbooks"]}},"allOf":[{"$ref":"#/components/schemas/V3.Workflows.BaseAction"}]},{"$ref":"#/components/schemas/V3.Workflows.SqMarkIncidentSLOAffecting"},{"$ref":"#/components/schemas/V3.Workflows.SqTriggerManualWebhook"},{"$ref":"#/components/schemas/V3.Workflows.UpdateIncidentPriority"},{"$ref":"#/components/schemas/V3.Workflows.SqCreateStatusPageIssue"},{"$ref":"#/components/schemas/V3.Workflows.SqAddIncidentNote"},{"$ref":"#/components/schemas/V3.Workflows.SlackArchiveChannel"},{"$ref":"#/components/schemas/V3.Workflows.SqAddCommunicationChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.SlackMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqMakeHTTPCall"},{"$ref":"#/components/schemas/V3.Workflows.SlackCreateIncidentChannel"},{"$ref":"#/components/schemas/V3.Workflows.JiraCreateTicket"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageChannel"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsMessageUser"},{"$ref":"#/components/schemas/V3.Workflows.SqSendEmail"},{"$ref":"#/components/schemas/V3.Workflows.MsTeamsCreateMeetingLink"},{}]}}},"paths":{"/v3/workflows/{workflowID}/actions":{"post":{"operationId":"Workflows_createAction","summary":"Create Action","description":"Create an Action for a workflow","parameters":[{"name":"workflowID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Workflows.ActionResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.ActionRequest"}}}}}}}}
```

## Update Actions Order

> Update action order in a workflow

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Workflows.UpdateActionsOrderResponse":{"type":"object","required":["data"],"properties":{"data":{"type":"object","properties":{"action_order":{"type":"array","items":{"type":"integer","format":"int32"}}},"required":["action_order"]}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Workflows.UpdateActionsOrderRequest":{"type":"object","properties":{"action_order":{"type":"array","items":{"type":"integer","format":"int32"}}}}}},"paths":{"/v3/workflows/{workflowID}/actions/reorder":{"patch":{"operationId":"Workflows_updateActionsOrder","summary":"Update Actions Order","description":"Update action order in a workflow","parameters":[{"name":"workflowID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.UpdateActionsOrderResponse"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Workflows.UpdateActionsOrderRequest"}}}}}}}}
```

## Get Workflow Action By ID

> Get workflow action by ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Workflows.GetWorkflowActionByIdResponse":{"type":"object","required":["id","workflow_id","name","data"],"properties":{"id":{"type":"integer","format":"int32"},"workflow_id":{"type":"integer","format":"int32"},"name":{"type":"string"},"data":{}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/workflows/{workflowID}/actions/{actionID}":{"get":{"operationId":"Workflows_getWorkflowActionById","summary":"Get Workflow Action By ID","description":"Get workflow action by ID","parameters":[{"name":"workflowID","in":"path","required":true,"schema":{"type":"string"}},{"name":"actionID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Workflows.GetWorkflowActionByIdResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"]}}}}
```

## Delete Workflow Action

> Delete an action by action ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Workflows"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/workflows/{workflowID}/actions/{actionID}":{"delete":{"operationId":"Workflows_deleteWorkflowAction","summary":"Delete Workflow Action","description":"Delete an action by action ID","parameters":[{"name":"workflowID","in":"path","required":true,"schema":{"type":"string"}},{"name":"actionID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Workflows"]}}}}
```

## Update Workflow Action

> Update an action by action ID

```json
[...]
